Skip to main content Skip to main navigation
Skip to accessibility page Skip to search input

Searching...

What is the minimum operating system required to use the app on Apple Watch?

You need an iPhone 5 or above with iOS 8.2 and above that is paired with your Apple Watch. You’ll also need the latest version of the Westpac Mobile Banking app (version 6.1 or above) installed on your iPhone. Find out more details on supported devices.

Tip: To find your current Westpac app version open the app and tap the menu icon (in the top left corner). The app version is shown at the bottom of the menu.